> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.papertracc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.papertracc.com/_mcp/server.

# List Bills

GET https://api.papertracc.com/v1/bills?limit=20

Lists bills.

Reference: https://api-docs.papertracc.com/papertracc/purchases/bills/list-bills

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `identity` header (required) — The identity for the active project.

## Servers

- `https://api.papertracc.com/v1` (Production, default)
- `https://api.papertracc.com/rc-1` (Release Candidate 1)

## Request

### Query parameters

- `limit` (integer, optional) — Optional. Number of records to return.

## Response

### 200

OK

- `data` (list of object, required)
  - `id` (string, required)
  - `items` (list of object, required)
    - `rate` (integer, required)
    - `amount` (integer, required)
    - `detail` (string, required)
    - `tax_id` (string, required)
    - `quantity` (integer, required)
    - `account_id` (string, required)
    - `inventory_id` (string, required)
    - `currency_code` (string, required)
    - `tax_name` (string, optional)
    - `vat` (string, optional)
  - `amount` (string, required)
  - `status` (string, required)
  - `vendor` (object, required)
    - `id` (string, required)
    - `display_name` (string, required)
  - `approval` (integer, required)
  - `due_date` (datetime, required)
  - `approvals` (list of any, required)
  - `bill_date` (datetime, required)
  - `documents` (list of any, required)
  - `account_id` (string, required)
  - `created_at` (datetime, required)
  - `project_id` (string, required)
  - `adjustments` (list of object, required)
    - `name` (string, required)
    - `type` (string, required)
    - `value` (double, required)
    - `amount` (integer, required)
    - `operation` (string, required)
    - `account_id` (string, required)
  - `prepared_by` (string, required)
  - `currency_code` (string, required)
  - `exchange_rate` (string, required)
  - `bill_reference` (string, required)
  - `journal_status` (string, required)
  - `payment_status` (enum, optional) — How far the document has been settled, derived from amount and total_paid. Independent of status, which tracks the document workflow - a sent invoice that is part paid stays SENT with a payment_status of PARTIAL.
    - Allowed values: `UNPAID`, `PARTIAL`, `PAID`
  - `journal_entry_id` (any, optional)
- `page` (integer, required)
- `count` (integer, required)
- `pages` (integer, required)
- `status` (boolean, required)
- `message` (string, required)
- `keyset` (any, optional)
- `last_id` (any, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "45c6e26d-e132-4548-8e2e-5bfc467cf94a",
      "items": [
        {
          "rate": 50000,
          "amount": 500000,
          "detail": "Consulting hours",
          "tax_id": "78c68f6d-d734-4822-9a6c-73f517a0e5c1",
          "quantity": 10,
          "account_id": "d037d299-3029-4dc7-8e72-172f80f23c4f",
          "inventory_id": "55a40b4d-a23a-49aa-a417-828913e9a5c8",
          "currency_code": "NGN"
        }
      ],
      "amount": "250000.00",
      "status": "PENDING",
      "vendor": {
        "id": "0cb2d1a5-2f50-43a1-8c3f-df06f998ef51",
        "display_name": "Global Softworks"
      },
      "approval": 0,
      "due_date": "2026-07-18T10:00:00Z",
      "approvals": [],
      "bill_date": "2026-06-18T10:00:00Z",
      "documents": [],
      "account_id": "d037d299-3029-4dc7-8e72-172f80f23c4f",
      "created_at": "2026-06-18T10:00:00Z",
      "project_id": "spruce-demo",
      "adjustments": [
        {
          "name": "VAT",
          "type": "PERCENTAGE_RATE",
          "value": 7.5,
          "amount": 37500,
          "operation": "ADDITION",
          "account_id": "2b0d1461-e52e-4a1a-a69c-11801431c2c9"
        }
      ],
      "prepared_by": "user-token-hash",
      "currency_code": "NGN",
      "exchange_rate": "1.00",
      "bill_reference": "BILL-0001",
      "journal_status": "UNPOSTED"
    }
  ],
  "page": 0,
  "count": 1,
  "pages": 1,
  "status": true,
  "message": "Successfully fetched bills"
}
```

**SDK Code**

```python Purchases_Bills_List Bills_example
import requests

url = "https://api.papertracc.com/v1/bills"

querystring = {"limit":"20"}

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Purchases_Bills_List Bills_example
const url = 'https://api.papertracc.com/v1/bills?limit=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Purchases_Bills_List Bills_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.papertracc.com/v1/bills?limit=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Purchases_Bills_List Bills_example
require 'uri'
require 'net/http'

url = URI("https://api.papertracc.com/v1/bills?limit=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Purchases_Bills_List Bills_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.papertracc.com/v1/bills?limit=20")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Purchases_Bills_List Bills_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.papertracc.com/v1/bills?limit=20', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Purchases_Bills_List Bills_example
using RestSharp;

var client = new RestClient("https://api.papertracc.com/v1/bills?limit=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Purchases_Bills_List Bills_example
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.papertracc.com/v1/bills?limit=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```